%define __libtoolize true

# dynamic desktop support
%define launchers /etc/dynamic/launchers/camera

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Name: digikam
Version: 0.8.2
Release: %mkrel 7
Summary: A KDE photo management utility
URL: http://digikam.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Group: Graphics
License: GPL
Requires: 	libgphoto >= 2.0-1mdk
Requires:	libgphoto-hotplug
Requires:       dcraw
BuildRequires: 	libgphoto-devel gphoto2 fam-devel imlib2-devel automake1.8
BuildRequires:	libexif-devel libkexif-devel >= 0.2 libimlib-devel
BuildRequires:	XFree86-devel kdelibs-devel libkipi-devel
BuildRequires:	libgdbm-devel sqlite3-devel
Conflicts:      digikam-plugins
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   %{libname} = %{version}-%{release}
Patch1:		digikam-default-photo-directory.patch

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%post
%update_menus
update-alternatives --install %launchers/kde.desktop camera.kde.dynamic %launchers/%name.desktop 80
update-alternatives --install %launchers/gnome.desktop camera.gnome.dynamic %launchers/%name.desktop 80

%postun
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove camera.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove camera.gnome.dynamic %launchers/%name.desktop
fi

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO
%_bindir/*
%_menudir/*
%_sysconfdir/dynamic/launchers/camera/*
%_datadir/services/digikamalbums.protocol
%_datadir/services/digikamdates.protocol
%_datadir/services/digikamimageplugin_core.desktop
%_datadir/services/digikamsearch.protocol
%_datadir/services/digikamtags.protocol
%_datadir/servicetypes/digikamimageplugin.desktop
%_datadir/applications/kde/digikam.desktop
%_datadir/applications/kde/showfoto.desktop
%_datadir/services/digikamthumbnail.protocol
%_datadir/icons/*/*/*/digikam*
%_datadir/icons/*/*/*/showfoto*
%dir %_datadir/apps/showfoto
%_datadir/apps/showfoto/*
%dir %_datadir/apps/digikam
%_datadir/apps/digikam/*
%_libdir/kde3/digikamimageplugin_core.*
%_libdir/kde3/kio_*

#--------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries		

%description -n	%{libname}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

#--------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries
Provides:	libdigikam-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.*a
%_includedir/digikam/*
%_includedir/digikam_export.h

#--------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
#REAPPLY!!!!!!!!
#%patch1 -p1 -b .default_photo_directory

%build 

export KDEDIR=%_prefix

%configure2_5x \
   %if "%{_lib}" != "lib"
   --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
   %endif
   --disable-debug \
   --disable-rpath 

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# Create LMDK menu entries
install -d %buildroot/%_menudir/

# %%_datadir/System/ScreenSavers/
kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applications/kde/digikam.desktop %buildroot/%_menudir/%name 
perl -pi -e 's!title="digikam"!title="Digikam"!' %buildroot/%_menudir/%name

kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applications/kde/showfoto.desktop %buildroot/%_menudir/showfoto

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=digiKam
Comment=KDE Photo Management
TryExec=/usr/bin/digikam
Exec=/usr/bin/digikam --detect-camera
Terminal=false
Icon=digikam.png
Type=Application
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.2-7mdv2007.0
- Rebuild

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 12:28:46 (56175)
- Recompile against new gphoto2

* Mon Aug 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-07 16:29:27 (53913)
- Trying to do it right:
- Readd to subversion.
- Cleanup spec
- Added proper configure
- Removed invalid patches
- move kioslaves for proper package

* Mon Aug 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-07 15:32:02 (53895)
- import digikam-0.8.2-2mdv2007.0

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 14:37:23 (41618)
- Fix release number

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:47:36 (41600)
- fix generate desktop file

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:25:13 (41596)
- Fix typo

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:15:40 (41594)
- 0.8.2

* Fri Jun 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 16:41:39 (38257)
- rebuild against latest libgphoto

* Fri Jun 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 10:45:50 (38215)
- import digikam-0.8.2-0.rc1.2mdv2007.0

* Wed Jun 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.2
- Fix requires

* Sun May 14 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.1
- 0.8.2-rc1

* Tue May 09 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-4
- Rebuild to generate new category

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-3mdk
- Add Requires (#22104)

* Tue Feb 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2
- Fix conflict when we compile with kdelibs-3.5.1

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1
- 0.8.1

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-5mdk
- rebuilt due to package loss

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.0-4mdk
- Rebuild

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 0.8.0-3mdk
- Printing out of the image editor required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 6).

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-2 
- Why buildrequires on kdesdk ?

* Sun Nov 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-1 
- 0.8.0

* Tue Nov 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.0-rc1.3mdk
- add BuildRequires: sqlite3-devel

* Tue Nov 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-rc1.2mdk
- Rebuild

* Sun Nov 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-rc1.1
- Rc1

* Sat Nov 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.2
- Fix spec file

* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.1
- 0.8.0-beta2

* Tue Aug 16 2005 Till Kamppeter <till@mandriva.com> 0.7.3-2mdk
- Mase digiKam the default application being launched when clicking
  a digital camera desktop icon (if digiKam is not installed, flphoto
  will be started instead).

* Mon Jul 11 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1
- 0.7.3

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 3
- Real use beta2 package

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 2
- Rebuild

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2.1mdk
- beta2

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 3
- Fix Requires

* Tue Apr 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 2
- Reapply patch1 (rediff from neoclust)

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1.1mdk
- 0.7.3-beta1

* Thu Mar 31 2005 Till Kamppeter <till@mandrakesoft.com> 0.7.2-2mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.3mdk
- Fix icon in showFoto

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.7.2-0.beta1.2mdk
- added conflicts with old digikam-plugins (Frederik Himpe)
- DistroSpecificReleaseTag suppor

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install  , not %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Jan 28 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.0-0.2mdk
- Rebuilt.

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.1mdk
- libification
- from Arnaud de Villele <arnorpm@free.fr> : 
	- add BuildRequires:	libimlib1-devel
	- add BuildRequires:	libxfree86-devel
	- update source from 0.6.0 RC2 cvs snapshot 2004 01 13

